Support » Plugin: SoundPress Plugin » Constructor Method Error

  • I was unable to use this plugin due to the following error:

    Notice: The called constructor method for WP_Widget in wp_soundpress_plugin is deprecated since version 4.3.0! Use
    __construct()
    instead.

    However, I was able to fix it. For anyone else who cannot get this plugin to work, please give this a try:

    Find line 101 in soundpress.php in the plugin’s install folder. Change it from this:

    parent::WP_Widget(false, $name = __('SoundPress Widget', 'wp_soundpress_plugin') );

    to this:

    parent::__construct(false, $name = __('SoundPress Widget', 'wp_soundpress_plugin') );

    The only thing that’s really needed is to change “WP_Widget” to “__construct” so that it works in the newer versions of WordPress. I hope this helps someone! Thank you!

Viewing 1 replies (of 1 total)
  • Plugin Author emadmessiha

    (@emadmessiha)

    Hi Sharon,

    Thanks so much for sharing this finding! We have uploaded a fix for that in version 2.2.0.
    If you do like the plugin, kindly rate it on WordPress.org to support us.

    Kindly send us a review or rate our plugin so we can further enhance it.

    Thanks again,

Viewing 1 replies (of 1 total)
  • The topic ‘Constructor Method Error’ is closed to new replies.